Lab_PPW_2017/urls.py
from django.conf.urls import url,include
from django.views.generic import RedirectView
import lab_1.urls as lab_1
import lab_2.urls as lab_2
import lab_3.urls as lab_3
import lab_4.urls as lab_4
import lab_5.urls as lab_5
import lab_6.urls as lab_6
import lab_7.urls as lab_7
import lab_8.urls as lab_8
import lab_9.urls as lab_9
import lab_10.urls as lab_10
import lab_2_addon.urls as lab_2_addon

urlpatterns = [
    url(r'^lab-1/', include(lab_1,namespace='lab-1')),
    url(r'^lab-2/', include(lab_2,namespace='lab-2')),
    url(r'^lab-3/', include(lab_3,namespace='lab-3')),
    url(r'^lab-4/', include(lab_4,namespace='lab-4')),
    url(r'^lab-5/', include(lab_5,namespace='lab-5')),
    url(r'^lab-6/', include(lab_6,namespace='lab-6')),
    url(r'^lab-7/', include(lab_7,namespace='lab-7')),
    url(r'^lab-8/', include(lab_8,namespace='lab-8')),
    url(r'^lab-9/', include(lab_9,namespace='lab-9')),
    url(r'^lab-10/', include(lab_10,namespace='lab-10')),
    url(r'^lab-2-addon/', include(lab_2_addon,namespace='lab-2-addon')),
    url(r'^$', RedirectView.as_view(url='lab-10/', permanent=True)),
]

lab_1/urls.py
from django.conf.urls import url
from .views import index
#url for app
urlpatterns = [
    url(r'^$', index, name='index'),
]

lab_5/urls.py
from django.conf.urls import url
from .views import index, add_todo

urlpatterns = [
    url(r'^$', index, name='index'),
    url(r'^add_todo', add_todo, name='add_todo'),
    # url(r'^delete_todo/(?P<object_id>[0-9]+)',delete_todo,name='delete_todo'),
]

lab_5/models.py
from django.db import models

class Todo(models.Model):
    title = models.CharField(max_length=27)
    description = models.TextField()
    created_date = models.DateTimeField(auto_now_add=True)

lab_5/forms.py
from django import forms

class Todo_Form(forms.Form):
    error_messages = {
        'required': 'Tolong isi input ini',
    }
    title_attrs = {
        'type': 'text',
        'class': 'todo-form-input',
        'placeholder':'Masukan judul...'
    }
    description_attrs = {
        'type': 'text',
        'cols': 50,
        'rows': 4,
        'class': 'todo-form-textarea',
        'placeholder':'Masukan deskripsi...'
    }

    title = forms.CharField(label='', required=True, max_length=27, widget=forms.TextInput(attrs=title_attrs))
    description = forms.CharField(label='', required=True, widget=forms.Textarea(attrs=description_attrs))

lab_5/views.py
from django.shortcuts import render
from django.http import HttpResponseRedirect
from .forms import Todo_Form
from .models import Todo


# Create your views here.
response = {}
def index(request):
    response['author'] = "Naufal Ihsan Pratama" #TODO Implement yourname
    todo = Todo.objects.all()
    response['todo'] = todo
    html = 'lab_5/lab_5.html'
    response['todo_form'] = Todo_Form
    return render(request, html, response)

def add_todo(request):
    form = Todo_Form(request.POST or None)
    if(request.method == 'POST' and form.is_valid()):
        response['title'] = request.POST['title']
        response['description'] = request.POST['description']
        todo = Todo(title=response['title'],description=response['description'])
        todo.save()
        return HttpResponseRedirect('/lab-5/')
    else:
        return HttpResponseRedirect('/lab-5/')

# def delete_todo(request,object_id):
#     todo = Todo.objects.get(pk=object_id)
#     todo.delete()
#     return HttpResponseRedirect('/lab-5/')

lab_5/templates/lab_5/lab_5.html
{% extends "lab_5/layout/base.html" %}

{% block content %}
<h1 class="main-title">TODOLIST</h1>
<hr/>
<section name="input-list" id="input-list">
    <div class="container">
        <form id="form" method="POST" action="{% url 'lab-5:add_todo' %}">
            <h2>Input Todo</h2>
            {% csrf_token %}
            {{ todo_form }}
            <input id="submit" type="submit" class="btn btn-lg btn-block btn-info" value="Submit">
            <br>
        </form>
    </div>
</section>
<section name="my-list" id="my-list">
    <div class="container">
        <h2 class="my-list-title">My List</h2>
        <div class="flex">
            {% if todo %}
                {% for data in todo %}
                    <div class="flex-item">
                        <div class="to-do-list">
                            <div id="id_title" class="to-do-list-title">
                                {{data.title}}
                            </div>
                            <div class="to-do-list-date-added">
                                {{data.created_date}}
                            </div>
                            <div id="id_description" class="to-do-list-description">
                                {{data.description}}
                            </div>
                            <div class="to-do-list-delete">
                                <div class="to-do-list-delete-button" data-id="{{data.id}}">
                                    <!--
                                        <a href=" url 'lab-5:delete_todo' object_id=data.id " >Delete</a>
                                    -->
                                    Delete
                                </div>
                            </div>
                        </div>
                    </div>
                {% endfor %}
            {% else %}
            <div class="alert alert-danger text-center">
                <strong>Oops!</strong> Tidak ada data Todo.
            </div>
            {% endif %}
        </div>
    </div>
</section>

{% endblock %}